Generation Framework

## org.eclipse.gmf.gmfgraph
Interface FigureAccessor

All Superinterfaces:
  EObject, FigureHandle, Notifier

All Known Implementing Classes:
  FigureAccessorImpl

public interface FigureAccessor
extends FigureHandle

A representation of the model object 'Figure Accessor'.

The following features are supported:

- `Accessor`
- `Typed Figure`

See Also:
  `GMFGraphPackage.getFigureAccessor()`
** Generated **
Model:

Method Summary
`java.lang.String` `getAccessor()` Returns the value of the 'Accessor' attribute
`CustomFigure` `getTypedFigure()` Returns the value of the 'Typed Figure' reference
`void` `setAccessor(java.lang.String value)` Sets the value of the '`Accessor`' attribute
`void` `setTypedFigure(CustomFigure value)` Sets the value of the '`Typed Figure`' reference

Methods inherited from interface org.eclipse.gmf.gmfgraph.FigureHandle
`getReferencingElements`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getAccessor

    public java.lang.String getAccessor()

  Returns the value of the 'Accessor' attribute.

  If the meaning of the 'Accessor' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Accessor' attribute.
  See Also:
    `FigureAccessor.setAccessor(String)`, `GMFGraphPackage.getFigureAccessor_Accessor()`
  ** Generated **
  Model:
    required="true"

### setAccessor

    public void setAccessor(java.lang.String value)

  Sets the value of the '`Accessor`' attribute.

  Parameters:
    `value` - the new value of the 'Accessor' attribute.
  See Also:
    `FigureAccessor.getAccessor()`
  ** Generated **

### getTypedFigure

    public CustomFigure getTypedFigure()

  Returns the value of the 'Typed Figure' reference.

  If the meaning of the 'Typed Figure' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Typed Figure' reference.
  See Also:
    `FigureAccessor.setTypedFigure(CustomFigure)`, `GMFGraphPackage.getFigureAccessor_TypedFigure()`
  ** Generated **
  Model:

### setTypedFigure

    public void setTypedFigure(CustomFigure value)

  Sets the value of the '`Typed Figure`' reference.

  Parameters:
    `value` - the new value of the 'Typed Figure' reference.
  See Also:
    `FigureAccessor.getTypedFigure()`
  ** Generated **

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.